Developer Documentation

Public Types | Public Member Functions | Private Member Functions | List of all members
OpenVolumeMesh::PropertyTT< T, Entity > Class Template Reference
Inheritance diagram for OpenVolumeMesh::PropertyTT< T, Entity >:

## Public Types
using | value_type = T
using | entity_type = Entity
using | PropertyHandleT = OpenVolumeMesh::PropHandleT< Entity >
Public Types inherited from OpenVolumeMesh::PropertyPtr< OpenVolumeMeshPropertyT< T >, Entity >
typedef OpenVolumeMeshPropertyT< T > ::value_type | value_type
typedef OpenVolumeMeshPropertyT< T > ::vector_type::const_iterator | const_iterator
typedef OpenVolumeMeshPropertyT< T > ::vector_type::iterator | iterator
typedef OpenVolumeMeshPropertyT< T > ::reference | reference
typedef OpenVolumeMeshPropertyT< T > ::const_reference | const_reference
using | EntityHandleT = HandleT< Entity >

## Public Member Functions
template<typename MeshT >
| PropertyTT (MeshT *mesh, const std::string &_name, const T &_def=T())
| PropertyTT (const std::string &_name, const std::string &_internal_type_name, ResourceManager &_resMan, PropertyHandleT _handle, const T &_def=T())
BaseProperty * | clone (ResourceManager &_resMan, OpenVolumeMeshHandle _handle) const override
const std::string | entityType () const override
const std::string | typeNameWrapper () const override
Public Member Functions inherited from OpenVolumeMesh::PropertyPtr< OpenVolumeMeshPropertyT< T >, Entity >
| PropertyPtr ()
| Constructor.
| PropertyPtr (OpenVolumeMeshPropertyT< T > *_ptr, ResourceManager &_resMan, PropHandleT< Entity > _handle)
| Constructor.
| ~PropertyPtr () override
| Destructor.
const std::string & | name () const override
void | delete_element (size_t _idx) override
void | swap_elements (size_t _idx0, size_t _idx1) override
void | copy (size_t _src_idx, size_t _dst_idx) override
const_iterator | begin () const
iterator | begin ()
size_t | size () const override
const_iterator | end () const
iterator | end ()
reference | operator[] (const EntityHandleT &_h)
const_reference | operator[] (const EntityHandleT &_h) const
void | serialize (std::ostream &_ostr) const override
void | deserialize (std::istream &_istr) override
OpenVolumeMeshHandle | handle () const override
bool | persistent () const override
bool | anonymous () const override
Public Member Functions inherited from OpenVolumeMesh::BaseProperty
| BaseProperty (ResourceManager *_resMan)
| BaseProperty (BaseProperty &&_other)=default
| BaseProperty (const BaseProperty &_other)=default
BaseProperty & | operator= (const BaseProperty &_cpy)=delete

## Private Member Functions
| PropertyTT (OpenVolumeMeshPropertyT< T > *_prop, ResourceManager &_resMan, PropertyHandleT _handle)

## Additional Inherited Members
Protected Member Functions inherited from OpenVolumeMesh::PropertyPtr< OpenVolumeMeshPropertyT< T >, Entity >
const std::string & | internal_type_name () const override
void | assign_values_from (const BaseProperty *other) override
void | move_values_from (BaseProperty *other) override
void | delete_multiple_entries (const std::vector< bool > &_tags) override
void | resize (size_t _size) override
void | set_handle (const OpenVolumeMeshHandle &_handle) override
Protected Member Functions inherited from OpenVolumeMesh::BaseProperty
void | setResMan (ResourceManager *resMan)
Protected Attributes inherited from OpenVolumeMesh::BaseProperty
ResourceManager * | resMan_

## Detailed Description

### template<typename T, typename Entity>
class OpenVolumeMesh::PropertyTT< T, Entity >

Definition at line 15 of file ForwardDeclarations.hh.

The documentation for this class was generated from the following files:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/ForwardDeclarations.hh
- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/PropertyDefines.hh
- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/PropertyDefinesT_impl.hh